Lookup a HCPCS code + modifier combo
curl --request GET \
--url https://sandbox.rcintell.com/v1/codes/{code}/{mod} \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.rcintell.com/v1/codes/{code}/{mod}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.rcintell.com/v1/codes/{code}/{mod}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.rcintell.com/v1/codes/{code}/{mod}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.rcintell.com/v1/codes/{code}/{mod}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.rcintell.com/v1/codes/{code}/{mod}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.rcintell.com/v1/codes/{code}/{mod}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": "<string>",
"modifier": "<string>",
"clfs_rate": 123,
"code_type": "<string>",
"dme_non_rural_rate": 123,
"dme_rural_rate": 123,
"modifier_rule": {
"modifier": "<string>",
"incompatible_modifiers": [
"<string>"
],
"modifier_description": "<string>",
"notes": "<string>",
"payment_impact": "<string>"
},
"notes": [
"<string>"
],
"opps_payment_rate": 123,
"opps_status_indicator": "<string>",
"rvu": {
"mp_rvu": 123,
"pe_rvu_facility": 123,
"pe_rvu_nonfacility": 123,
"work_rvu": 123,
"year": 123,
"assistant_surgery_indicator": "<string>",
"bilateral_surgery_indicator": "<string>",
"conversion_factor": 33.5675,
"cosurgery_indicator": "<string>",
"global_days": "<string>",
"intraop_pct": 123,
"modifier": "<string>",
"mpfs_variant": "<string>",
"multiple_procedure_indicator": "<string>",
"pctc_indicator": "<string>",
"postop_pct": 123,
"preop_pct": 123,
"status_code": "<string>",
"team_surgery_indicator": "<string>",
"total_rvu_facility": 123,
"total_rvu_nonfacility": 123
},
"short_description": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}codes
Lookup a HCPCS code + modifier combo
Return RVU + fee-schedule rows for a HCPCS/CPT code paired with a modifier.
The resolution order for each fee schedule is:
- Try the code+modifier-specific row (e.g.
17000+26). - Fall back to the base code row (no modifier) when the modifier-specific
row does not exist.
notesrecords when this fallback was used.
GET
/
v1
/
codes
/
{code}
/
{mod}
Lookup a HCPCS code + modifier combo
curl --request GET \
--url https://sandbox.rcintell.com/v1/codes/{code}/{mod} \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.rcintell.com/v1/codes/{code}/{mod}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.rcintell.com/v1/codes/{code}/{mod}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.rcintell.com/v1/codes/{code}/{mod}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.rcintell.com/v1/codes/{code}/{mod}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.rcintell.com/v1/codes/{code}/{mod}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.rcintell.com/v1/codes/{code}/{mod}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": "<string>",
"modifier": "<string>",
"clfs_rate": 123,
"code_type": "<string>",
"dme_non_rural_rate": 123,
"dme_rural_rate": 123,
"modifier_rule": {
"modifier": "<string>",
"incompatible_modifiers": [
"<string>"
],
"modifier_description": "<string>",
"notes": "<string>",
"payment_impact": "<string>"
},
"notes": [
"<string>"
],
"opps_payment_rate": 123,
"opps_status_indicator": "<string>",
"rvu": {
"mp_rvu": 123,
"pe_rvu_facility": 123,
"pe_rvu_nonfacility": 123,
"work_rvu": 123,
"year": 123,
"assistant_surgery_indicator": "<string>",
"bilateral_surgery_indicator": "<string>",
"conversion_factor": 33.5675,
"cosurgery_indicator": "<string>",
"global_days": "<string>",
"intraop_pct": 123,
"modifier": "<string>",
"mpfs_variant": "<string>",
"multiple_procedure_indicator": "<string>",
"pctc_indicator": "<string>",
"postop_pct": 123,
"preop_pct": 123,
"status_code": "<string>",
"team_surgery_indicator": "<string>",
"total_rvu_facility": 123,
"total_rvu_nonfacility": 123
},
"short_description": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Path Parameters
Billing or terminology code value (CPT/HCPCS/NDC/etc depending on endpoint context).
HCPCS/CPT modifier code paired with the base procedure code.
Response
Successful Response
HCPCS/CPT + modifier combo lookup — RVUs and fee-schedule rows that match the code+modifier pair (or the bare code when no modifier-specific row exists).
Show child attributes
Show child attributes
Show child attributes
Show child attributes